Subject: [media-types] Registration for multipart/multilingual type

From: Nik Tomkinson <[email-masked]>
Date: Thu, 17 Nov 2016 10:21:16 +0000

Hello all,

I am going to be registering a new multipart (multipart/multilingual) with
IANA and want to run the registration template past this group for final
suggestions:

   Media Type name: multipart

   Media subtype name: multilingual

   Required parameters: boundary (defined in RFC2046)

   Optional parameters: N/A

   Encoding considerations: There are no encoding considerations for
       this multipart other than that of the embedded body parts.
       The embedded body parts (typically one text/plain plus one or
       more message/*) may contain ASCII or binary.

   Security considerations: See the Security Considerations section
                            in this document

   Interoperability considerations:
       Existing systems that do not treat unknown multipart subtypes
       as multipart/mixed might not correctly render a
       multipart/multilingual type.

   Published specification: This document

   Applications that use this media type:
       Mail Transfer Agents, Mail User Agents, spam detection,
       virus detection modules and message authentication modules.

   Additional information:
       Deprecated alias names for this type: N/A
       Magic number(s): N/A
       File extension(s): N/A
       Macintosh file type code(s): N/A

   Person & email address to contact for further information:
       Nik Tomkinson
       [email-masked]

       Nathaniel Borenstein
       [email-masked]

   Intended usage: Common

-- 
This relates to the following Internet Draft:

Multiple Language Content Type Internet Draft:

<http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>
https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/
<http://datatracker.ietf.org/doc/draft-tomkinson-slim-multilangcontent/>

The Internet Draft currently shows the template with the major difference:

   Encoding considerations: only "7bit", "8bit", or "binary" are
                            permitted

Thanks in advance for your suggestions,

Nik Tomkinson.

---

From: Nik Tomkinson <[email-masked]>
Date: Thu, 17 Nov 2016 10:24:54 +0000

The location of the latest/correct Internet Draft is this:
https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent

Nik.

-- 

-----------------------------------------------------------------
Multiple Language Content Type Internet Draft:

-----------------------------------------------------------------

---

From: Sean Leonard <[email-masked]>
Date: Fri, 18 Nov 2016 10:14:55 +0900

Looks good to me. Carry on.

Sean

> On Nov 17, 2016, at 7:24 PM, Nik Tomkinson <[email-masked]> wrote:
> 
> The location of the latest/correct Internet Draft is this: https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent <https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent>
> 
> Nik.
> 
> On 17 November 2016 at 10:21, Nik Tomkinson <[email-masked] <mailto:[email-masked]>> wrote:
> Hello all,
> 
> I am going to be registering a new multipart (multipart/multilingual) with IANA and want to run the registration template past this group for final suggestions:
> 
>        [email-masked] <mailto:[email-masked]>
> 
>        Nathaniel Borenstein
>        [email-masked] <mailto:[email-masked]>
> 
>    Intended usage: Common
> 
> -- 
>  <http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/ <http://datatracker.ietf.org/doc/draft-tomkinson-slim-multilangcontent/>
> 
>  <http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/ <http://datatracker.ietf.org/doc/draft-tomkinson-slim-multilangcontent/>
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types

---

From: Gunnar Hellström <[email-masked]>
Date: Fri, 18 Nov 2016 07:54:33 +0100

Nik,

In the "Encoding Considerations", you mention ASCII. Why?

Reading RFC 6838 section 4.8, where the encoding considerations field is 
defined, only 7-bit, 8-bit, binary and framed are mentioned as possible 
values.

It seems that you just want to expess total freedom for encoding, so 
therefore I suggest that you replace "may contain ASCII or binary." with 
"may contain 7-bit, 8-bit or binary encodings".

(or mention all four if also "framed" is possible.  )

Regards

Gunnar

Den 2016-11-17 kl. 11:24, skrev Nik Tomkinson:
> On 17 November 2016 at 10:21, Nik Tomkinson 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hello all,
>
>     I am going to be registering a new multipart
>     (multipart/multilingual) with IANA and want to run the
>     registration template past this group for final suggestions:
>
>     <http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/
> <http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/ 

-- 
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]
+46 708 204 288

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 18 Nov 2016 20:56:52 +0900

> On 18 Nov 2016, at 15:54, Gunnar Hellström <[email-masked]> wrote:
> 
> Nik,
> 
> Reading RFC 6838 section 4.8, where the encoding considerations field is defined, only 7-bit, 8-bit, binary and framed are mentioned as possible values.
> 
> It seems that you just want to expess total freedom for encoding, so therefore I suggest that you replace "may contain ASCII or binary." with "may contain 7-bit, 8-bit or binary encodings".
> 

+1.
> (or mention all four if also "framed" is possible.  )

This doesn't apply, I think.
>> The location of the latest/correct Internet Draft is this: https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent
>>> On 17 November 2016 at 10:21, Nik Tomkinson <[email-masked]> wrote:
>>> Hello all,
>>>

---

From: Sean Leonard <[email-masked]>
Date: Sat, 19 Nov 2016 04:45:20 +0900

> On Nov 18, 2016, at 8:56 PM, Alexey Melnikov <[email-masked]> wrote:
> 
> 
> On 18 Nov 2016, at 15:54, Gunnar Hellström <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Nik,
>> 

Overall I agree with Gunnar Hellström, in that his proposed text is in keeping with prior registration in the multipart media type, and other registrations. (I checked several of the multipart registrations.) For example, the contents can be “7bit” without actually being in ASCII: there are other charsets that can be expressed in 7-bit (including the wide range that are encoded as base64 or quoted-printable).

Regards,

Sean

>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/media-types <https://www.ietf.org/mailman/listinfo/media-types>
>> 
>> -- 
>> [email-masked] <mailto:[email-masked]>
>> +46 708 204 288
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/media-types <https://www.ietf.org/mailman/listinfo/media-types>